From d6da6660c656334201a043808752f2af3b0d3117 Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Wed, 2 Mar 2022 18:02:03 -0800
Subject: [PATCH v65 10/11] pgstat: Move pgstat.c to utils/activity.

Now that pgstat is not related to postmaster anymore,
src/backend/postmaster is not a well fitting directory.
---
 src/backend/postmaster/Makefile                     | 1 -
 src/backend/utils/activity/Makefile                 | 1 +
 src/backend/{postmaster => utils/activity}/pgstat.c | 2 +-
 3 files changed, 2 insertions(+), 2 deletions(-)
 rename src/backend/{postmaster => utils/activity}/pgstat.c (99%)

diff --git a/src/backend/postmaster/Makefile b/src/backend/postmaster/Makefile
index dbbeac5a82f..3a794e54d60 100644
--- a/src/backend/postmaster/Makefile
+++ b/src/backend/postmaster/Makefile
@@ -21,7 +21,6 @@ OBJS = \
 	fork_process.o \
 	interrupt.o \
 	pgarch.o \
-	pgstat.o \
 	postmaster.o \
 	shell_archive.o \
 	startup.o \
diff --git a/src/backend/utils/activity/Makefile b/src/backend/utils/activity/Makefile
index 575de7d507b..110ea5c8a5c 100644
--- a/src/backend/utils/activity/Makefile
+++ b/src/backend/utils/activity/Makefile
@@ -16,6 +16,7 @@ include $(top_builddir)/src/Makefile.global
 OBJS = \
 	backend_progress.o \
 	backend_status.o \
+	pgstat.o \
 	pgstat_database.o \
 	pgstat_function.o \
 	pgstat_global.o \
diff --git a/src/backend/postmaster/pgstat.c b/src/backend/utils/activity/pgstat.c
similarity index 99%
rename from src/backend/postmaster/pgstat.c
rename to src/backend/utils/activity/pgstat.c
index fb4e858332a..8159f63d19f 100644
--- a/src/backend/postmaster/pgstat.c
+++ b/src/backend/utils/activity/pgstat.c
@@ -24,7 +24,7 @@
  * Copyright (c) 2001-2022, PostgreSQL Global Development Group
  *
  * IDENTIFICATION
- *	  src/backend/postmaster/pgstat.c
+ *	  src/backend/utils/activity/pgstat.c
  * ----------
  */
 #include "postgres.h"
-- 
2.35.1.354.g715d08a9e5

